{
    "name": "jump-listener-dapp",
    "packageManager": "yarn@4.1.0",
    "private": true,
    "workspaces": [
        "packages/*"
    ],
    "scripts": {
        "build": "yarn build:cm && yarn build:non-cm && yarn create-index",
        "build:cm": "yarn workspaces foreach -Ap --include 'packages/*.cm' run build",
        "build:non-cm": "yarn workspaces foreach -Ap --include 'packages/*' --exclude 'packages/*.cm' run build",
        "create-index": "cweb-tool create-index .cweb-config/dapp-ecosystem.yaml .dapp-ecosystem-lock.yaml -c ./.cweb-config/config.json",
        "deploy-contracts": "yarn publish-actions",
        "call-contracts": "yarn call-contracts:prepare && yarn call-contracts:invoke",
        "call-contracts:prepare": "yarn workspaces foreach --all run prepare-for-package && yarn node ./.cweb-config/create-calls.mjs",
        "call-contracts:invoke": "cweb-tool call .cweb-config/calls.yaml -c ./.cweb-config/config.json",
        "execute-actions": "echo \"*** THIS MIGHT TAKE A LONG TIME ***\"; sleep 1; cweb-tool execute-actions ./.actions.yaml -c ./.cweb-config/config.json",
        "filter-actions": "cweb-tool filter-actions ./.unfiltered-actions.yaml .actions.yaml -c ./.cweb-config/config.json",
        "gather-actions": "cweb-tool gather-actions .dapp-ecosystem-lock.yaml .unfiltered-actions.yaml -c ./.cweb-config/config.json",
        "publish-actions": "cweb-tool publish .cweb-config/dapp-ecosystem.yaml -c ./.cweb-config/config.json",
        "clean": "yarn clean:me && yarn workspaces foreach --all --p run clean",
        "clean:me": "rm -rf .dapp-ecosystem-lock.yaml .unfiltered-actions.yaml .actions.yaml",
        "test": "yarn workspaces foreach -Ap run test",
        "setup-ide:vscode": "yarn add typescript eslint prettier -D && yarn dlx @yarnpkg/sdks vscode",
        "install:with-node-modules": "yarn config set nodeLinker node-modules && yarn install"
    },
    "resolutions": {
        "@coinweb/cweb-tool": "1.0.34"
    },
    "devDependencies": {
        "@coinweb/cweb-tool": "1.0.34",
        "eslint": "^8.56.0",
        "prettier": "^3.2.4",
        "typescript": "^5.3.3"
    },
    "dependencies": {
        "js-yaml": "^4.1.0",
        "write-yaml-file": "^5.0.0"
    }
}
